Bug 199817 - CodeCompletion took 2089 ms.
CodeCompletion took 2089 ms.
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: Editor
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Denis Anisimov
issues@webservices
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-01 12:17 UTC by Exceptions Reporter
Modified: 2011-10-15 14:49 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (16.02 KB, application/nps)
2011-07-01 12:17 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-07-01 12:17:20 UTC
Build: NetBeans IDE 7.0 (Build 201104080000)
VM: Java HotSpot(TM) 64-Bit Server VM, 19.1-b02, Java(TM) SE Runtime Environment, 1.6.0_24-b07
OS: Windows 7

User Comments:
tnleeuw: The code completion always hangs when directly after making a small change in class A, I want to make a change in class B.

Often these are changes like adding a method, or a field.

When I then want to make changes in another (related) class I always have to wait for CC.

Now in this case I wanted to directly invoke the new method... OK, fair enough, you can't show that method yet. But other results were available perhaps?

In many other cases, all I want to insert is something like a Java keyword! Which should always be available, and quickly, if the syntax permits it! For that I really do not care to wait for the scanning of the impact on my code, of adding 1 method to 1 class! An operation which easily takes half a minute or more!

GUEST: typing the program code - nothing else was running ...



Maximum slowness yet reported was 7918 ms, average is 3895
Comment 1 Exceptions Reporter 2011-07-01 12:17:24 UTC
Created attachment 109185 [details]
nps snapshot
Comment 2 Denis Anisimov 2011-07-04 16:19:15 UTC
Don't see any pointers to the webservice functionality.
Reassigning...
Comment 3 Dusan Balek 2011-10-14 11:49:38 UTC
In WSCompletionProvider$WsCompletionQuery, call to JavaSource.runUserActionTask should be replaced with JavaSource.runWhenScanFinished and a message "Scanning in progress..." should be displayed similarly to e.g. JavadocCompletionOuery.
Comment 4 Denis Anisimov 2011-10-14 12:48:00 UTC
web-main#bdfaad72475d
Comment 5 Quality Engineering 2011-10-15 14:49:38 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/bdfaad72475d
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#199817 - CodeCompletion took 2089 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo